org.eclipse.january.asserts

## Enum TestUtils.Verbosity

- java.lang.Object
- - java.lang.Enum<TestUtils.Verbosity>
  - - org.eclipse.january.asserts.TestUtils.Verbosity

- All Implemented Interfaces:
    Serializable, Comparable<TestUtils.Verbosity>
  Enclosing class:
    TestUtils

      public static enum TestUtils.Verbosity
      extends Enum<TestUtils.Verbosity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUIET` Completely quiet
    `TEST_METHOD` Output test method entry and exit
    `VERBOSE` Output all

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TestUtils.Verbosity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TestUtils.Verbosity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUIET

          public static final TestUtils.Verbosity QUIET

      Completely quiet

    - #### TEST_METHOD

          public static final TestUtils.Verbosity TEST_METHOD

      Output test method entry and exit

    - #### VERBOSE

          public static final TestUtils.Verbosity VERBOSE

      Output all

  - ### Method Detail

    - #### values

          public static TestUtils.Verbosity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestUtils.Verbosity c : TestUtils.Verbosity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestUtils.Verbosity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.